Bug 436716 - Review Request: tinyproxy - A small, efficient HTTP/SSL proxy daemon
Review Request: tinyproxy - A small, efficient HTTP/SSL proxy daemon
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-09 17:14 EDT by Jeremy Hinegardner
Modified: 2008-05-14 18:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.6.3-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 18:12:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeremy Hinegardner 2008-03-09 17:14:24 EDT
Spec URL: http://jjh.fedorapeople.org/tinyproxy/tinyproxy.spec
SRPM URL: http://jjh.fedorapeople.org/tinyproxy/tinyproxy-1.6.3-1.fc8.src.rpm
Description: tinyproxy is a small, efficient HTTP/SSL proxy daemon released under the GNU General Public License (GPL).  tinyproxy is very useful in a small
network setting, where a larger proxy like Squid would either be too
resource intensive, or a security risk.
Comment 1 Kevin Fenzi 2008-04-15 22:52:52 EDT
I would be happy to review this. Look for a full review in a bit. 
Comment 2 Kevin Fenzi 2008-04-15 23:08:51 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
See below - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPLv2+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
bd14d029b12621bcfd7ee71b2f4893da  tinyproxy-1.6.3.tar.gz
bd14d029b12621bcfd7ee71b2f4893da  tinyproxy-1.6.3.tar.gz.orig
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Use $RPM_BUILD_ROOT or %{buildroot} style macros, don't mix. ;)

2. Looks like you are missing some Requires for the init script/chkconfig calls.
See:
http://fedoraproject.org/wiki/Packaging/SysVInitScript#head-91577460937bcc1e94127ca00afd8e69274823b0
Comment 3 Jeremy Hinegardner 2008-04-17 02:37:39 EDT
new versions of the src rpm and the spec are available for review that should
fix the issues.

http://jjh.fedorapeople.org/tinyproxy/tinyproxy-1.6.3-2.fc8.src.rpm
http://jjh.fedorapeople.org/tinyproxy/tinyproxy.spec
Comment 4 Kevin Fenzi 2008-04-18 14:56:55 EDT
Both those items look fixed. I see no further blockers, so this package is
APPROVED. 
Comment 5 Jeremy Hinegardner 2008-04-18 15:14:51 EDT
New Package CVS Request
=======================
Package Name: tinyproxy
Short Description: A small, efficient HTTP/SSL proxy daemon
Owners: jjh
Branches: F-8 EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-04-18 15:45:04 EDT
cvs done.
Comment 7 Fedora Update System 2008-04-24 22:19:46 EDT
tinyproxy-1.6.3-2.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-04-29 17:00:02 EDT
tinyproxy-1.6.3-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tinyproxy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3411
Comment 9 Fedora Update System 2008-05-14 18:12:45 EDT
tinyproxy-1.6.3-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.